import { y as defineEventHandler, aa as getRouterParam, E as Event, T as Tag, d as Place, v as createError } from '../../../nitro/nitro.mjs';
import { Op } from '@sequelize/core';
import 'luxon';
import 'html-to-text';
import 'zod';
import 'crypto';
import 'node:fs';
import 'sharp';
import 'path';
import 'node:stream';
import 'jsdom';
import 'dompurify';
import 'mime-types';
import 'fs';
import 'fs/promises';
import 'linkify-html';
import '@peertube/http-signature';
import 'jsonld';
import 'lodash.intersection';
import 'email-templates';
import 'node:http';
import 'node:https';
import 'node:crypto';
import 'node:events';
import 'node:buffer';
import 'node:path';
import 'vue';
import 'vue-router';
import 'dotenv';
import 'url';
import 'bcryptjs';
import 'slugify';
import 'umzug';
import 'consola';
import '@sequelize/core/decorators-legacy';
import 'util';
import 'mitt';
import 'ical.js';
import 'node:url';
import 'fast-xml-parser';

const index_get = defineEventHandler(async (evt) => {
  const slug = getRouterParam(evt, "id");
  const id = Number(slug);
  const where = {
    [Op.or]: [
      { slug },
      ...Number.isInteger(id) ? [{ id }] : []
    ]
  };
  const event = await Event.findOne({ where, include: [Tag, Place] });
  if (event) {
    return event;
  } else {
    throw createError({ status: 404, message: "Not found" });
  }
});

export { index_get as default };
